• Documentation
  • API Reference
Information
Core APIs
    ASPSP Information Service
      Get ASPSP ListgetGet ASPSP DetailsgetGet Country ListgetGet Platform Statusget
    Consent Service
      Create ConsentpostGet ConsentgetDelete ConsentdeleteGet Consent StatusgetGet Consent AuthorisationsgetCreate Consent AuthorisationpostGet Consent Authorisation SCA StatusgetStart Consent Authorisationput
    Account Information Service (AIS)
      Get Account ListgetGet Account DetailsgetGet BalancesgetGet Transaction ListgetGet Transaction DetailsgetGet Card Account ListgetGet Card Account DetailsgetGet Card BalancesgetGet Card Transaction Listget
    Payment Initiation Service (PIS)
      Create PaymentpostGet PaymentgetCancel PaymentdeleteGet Payment StatusgetGet Payment AuthorisationsgetCreate Payment AuthorisationpostGet Payment Authorisation SCA StatusgetStart Payment AuthorisationputGet Payment Cancellation AuthorisationsgetCreate Payment Cancellation AuthorisationpostGet Payment Cancellation Authorisation SCA StatusgetStart Payment Cancellation AuthorisationputCreate Signing BasketpostGet Signing BasketgetDelete Signing BasketdeleteGet Signing Basket StatusgetCreate Signing Basket AuthorisationpostGet Signing Basket Authorisation SCA StatusgetStart Signing Basket AuthorisationputCreate FX QuotepostGet FX Quoteget
    KYC Service
      Create KYCpostGet KYC Statusget
Alternative APIs
    ISO Payments
      Create PaymentpostCreate Payment (Cross-Border)postGet PaymentgetConfirm Paymentput
    FX Connect
      Create FX QuotepostGet FX QuotegetConfirm Cross-Border Paymentput
Premium APIs
    Bankgiro Lookup
      Get Creditor NamegetGet Giro Numbersget
    Payout Service
      Create PayoutpostGet PayoutgetConfirm Payoutput
    Verification of Payee (VoP)
      Submit Verification RequestpostSubmit Bulk Verification Requestpost
    SEPA Direct Debit
      Create SEPA Direct Debit Payment (Beta)postGet PaymentgetConfirm Paymentput
Schemas
Open Payments API
Open Payments API

Account Information Service (AIS)

Server

The Account Information Service (AIS) offers the following services:

  • Transaction reports for a given account or card account including balances if applicable
  • Balances of a given account or card account
  • A list of available accounts or card account
  • Account details of a given account or card account or of the list of all accessable accounts or card account relative to a granted consent

Get Account List

GET
https://api.openbankingplatform.com
/psd2/accountinformation/v1/accounts

Retrieves information on all available accounts based on the PSU's granted consent. It assumes that consent has already been provided and stored by the ASPSP. The addressed list of accounts depends on the PSU-ID and the stored consent addressed by consentId, respectively the OAuth2 access token. The accounts returned are limited to those authorised in the consent. Each account entry includes relevant details and links to further resources such as balances and transactions. If the consent permits access to all available accounts, the response will include all of the PSU's payment accounts held at the ASPSP.

Get Account List › query Parameters

withBalance
​boolean

If "true", the list of accessible payment accounts is retrieved including balances, if granted by the PSU in the related consent and if made available by the ASPSP.

Get Account List › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

Consent-ID
​consentId · required

The ID of the consent authorizing access to the PSU's account information.

ID of the corresponding consent object as returned by an Account Information Consent Request.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

X-ISO-Fallback-Enabled
​string · enum

If it equals "true", the TPP indicates that, once the specified consent expires, the PSU wishes to fetch account information via ISO 20022 for the ISO-onboarded accounts that were included in the consent creation.

This parameter should be included while the consent is valid and after it expires.

Enum values:
true
false

Get Account List › Responses

OK

List of accounts with details.
accountList
​accountDetails[] · required
​_linksAccountReport
​tppMessage2XX[]
GET/psd2/accountinformation/v1/accounts
curl https://api.openbankingplatform.com/psd2/accountinformation/v1/accounts \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'Consent-ID: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "accounts": [ { "resourceId": "3dc3d5b3-7023-4848-9853-f5400a64e80f", "iban": "SE4550000000058398257466", "bban": "58398257466", "currency": "EUR", "product": "Girokonto", "cashAccountType": "CACC", "name": "Main Account", "_links": { "balances": { "href": "/psd2/accountinformation/v1/accounts/3dc3d5b3-7023-4848-9853-f5400a64e80f/balances" }, "transactions": { "href": "/psd2/accountinformation/v1/accounts/3dc3d5b3-7023-4848-9853-f5400a64e80f/transactions" } } }, { "resourceId": "3dc3d5b3-7023-4848-9853-f5400a64e81g", "iban": "SE1412000000000012345678", "bban": "12345678", "currency": "USD", "product": "Valutakonto", "cashAccountType": "CACC", "name": "US Dollar Account", "_links": { "balances": { "href": "/psd2/accountinformation/v1/accounts/3dc3d5b3-7023-4848-9853-f5400a64e81g/balances" } } } ] }
json
Response in case of an example, where the consent has been given on two different IBANs
application/json

Get Account Details

GET
https://api.openbankingplatform.com
/psd2/accountinformation/v1/accounts/{account-id}

Reads details about an account, with balances where required. It is assumed that a consent of the PSU to this access is already given and stored on the ASPSP system. The addressed details of this account depends then on the stored consent addressed by consentId, respectively the OAuth2 access token.

NOTE: The account-id can represent a multicurrency account. In this case the currency code is set to "XXX".

Get Account Details › path Parameters

account-id
​accountId · required

This identification is denoting the addressed account. The accountId is retrieved by using a "Read Account List" call. The accountId is the "id" attribute of the account structure. Its value is constant at least throughout the lifecycle of a given consent.

This identification is denoting the addressed account, where the transaction has been performed.

Example: qwer3456tzui7890

Get Account Details › query Parameters

withBalance
​boolean

If "true", the list of accessible payment accounts is retrieved including balances, if granted by the PSU in the related consent and if made available by the ASPSP.

Get Account Details › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

Consent-ID
​consentId · required

The ID of the consent authorizing access to the PSU's account information.

ID of the corresponding consent object as returned by an Account Information Consent Request.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

X-ISO-Fallback-Enabled
​string · enum

If it equals "true", the TPP indicates that, once the specified consent expires, the PSU wishes to fetch account information via ISO 20022 for the ISO-onboarded accounts that were included in the consent creation.

This parameter should be included while the consent is valid and after it expires.

Enum values:
true
false

Get Account Details › Responses

OK

The ASPSP shall give at least one of the account reference identifiers: - iban - bban - pan - maskedPan - msisdn If the account is a multicurrency account currency code in "currency" is set to "XXX".
accountDetailsWithTppMessages
currency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
resourceId
​string

This shall be filled, if addressable resource are created by the ASPSP on the /accounts or /card-accounts endpoint.

iban
​iban · pattern: [A-Z]{2,2}[0-9]{2,2}…

International Bank Account Number (IBAN) of an account.

Example: FR7612345987650123456789014
bban
​bban · pattern: [a-zA-Z0-9]{1,30}

Basic Bank Account Number (BBAN) Identifier. Used nationally by financial institutions, i.e., in individual countries, generally as part of a National Account Numbering Scheme(s), which uniquely identifies the account of a customer.

Example: BARC12345612345678
clearingNumber
​clearingNumber · pattern: [0-9]{1,5}

Bank account clearing number. Used to identify the financial institution within a domestic payment system.

Example: 5392
accountNumber
​accountNumber · pattern: [a-zA-Z0-9]{1,30}

Bank account number. Used to identify the particular customer account within the financial institution.

Example: BARC12345612345678
msisdn
​msisdn · maxLength: 35

Mobile phone number.

Example: +49 170 1234567
bankgiroNumber
​bankGiroNumber · pattern: [0-9-]{5,35}

Swedish Bankgiro number

Example: 1234-5678
plusgiroNumber
​plusGiroNumber · pattern: [0-9-]{5,35}

Swedish Plusgiro number

Example: 948294-5
name
​string · maxLength: 35

Name of the account given by the bank or the PSU in online-banking.

product
​string · maxLength: 35

Product name of the bank for this account, proprietary definition.

cashAccountType
​cashAccountType

ExternalCashAccountType1Code from ISO 20022.

status
​accountStatus · enum

Account status. The value is one of the following:

  • "enabled": account is available
  • "deleted": account is terminated
  • "blocked": account is blocked e.g. for legal reasons If this field is not used, than the account is available in the sense of this specification.
Enum values:
enabled
deleted
blocked
bic
​bicfi · pattern: [A-Z]{6,6}[A-Z2-9][A…

BICFI

Example: AAAADEBBXXX
linkedAccounts
​string · maxLength: 70

Case of a set of pending card transactions, the APSP will provide the relevant cash account the card is set up on.

usage
​string · enum · maxLength: 4

Specifies the usage of the account

  • PRIV: private personal account
  • ORGA: professional account
Enum values:
PRIV
ORGA
details
​string · maxLength: 140

Specifications that might be provided by the ASPSP

  • characteristics of the account
  • characteristics of the relevant card
​creditLimit

Amount of credit extended to account.

Example: {"currency":"EUR","amount":"123"}
​balance[]

A list of balances for the account. This list might be restricted to the current balance.

​_linksAccountDetails

Links to the account, which can be directly used for retrieving account information from this dedicated account.

Links to "balances" and/or "transactions"

These links are only supported, when the corresponding consent has been already granted.

ownerName
​string · maxLength: 140

Name of the legal account owner. If there is more than one owner, then e.g. two names might be noted here.

For a corporate account, the corporate name is used for this attribute. Even if supported by the ASPSP, the provision of this field might depend on the fact whether an explicit consent to this specific additional account information has been given by the PSU.

Example: John Doe
lastTransactionEnrichmentDateTime
​lastTransactionEnrichmentDateTime · date-time

The local date time of the latest ISO transaction enrichment, if enabled.

Example: 2025-01-21T17:32:28+00:00
lastTransactionEnrichmentDateTimeUtc
​lastTransactionEnrichmentDateTimeUtc · date-time

The UTC date time of the latest ISO transaction enrichment, if enabled.

Example: 2025-01-21T17:32:28Z
lastBalanceEnrichmentDateTime
​lastBalanceEnrichmentDateTime · date-time

The local date time of the latest ISO balance enrichment, if enabled.

Example: 2025-01-21T17:32:28+00:00
lastBalanceEnrichmentDateTimeUtc
​lastBalanceEnrichmentDateTimeUtc · date-time

The UTC date time of the latest ISO balance enrichment, if enabled.

Example: 2025-01-21T17:32:28Z
​tppMessage2XX[]
GET/psd2/accountinformation/v1/accounts/{account-id}
curl https://api.openbankingplatform.com/psd2/accountinformation/v1/accounts/:account-id \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'Consent-ID: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "resourceId": "3dc3d5b3-7023-4848-9853-f5400a64e80f", "iban": "SE4550000000058398257466", "bban": "58398257466", "currency": "SEK", "product": "Girokonto", "cashAccountType": "CACC", "name": "Main Account", "_links": { "balances": { "href": "/psd2/accountinformation/v1/accounts/3dc3d5b3-7023-4848-9853-f5400a64e80f/balances" }, "transactions": { "href": "/psd2/accountinformation/v1/accounts/3dc3d5b3-7023-4848-9853-f5400a64e80f/transactions" } } }
json
Account Details for a regular Account
application/json

Get Balances

GET
https://api.openbankingplatform.com
/psd2/accountinformation/v1/accounts/{account-id}/balances

Retrieves balance data from a given account addressed by account-id.

Note: The account-id may be a tokenized identification due to data protection reasons since the path information might be logged on intermediary servers within the ASPSP sphere. This account-id can then be retrieved by the Get Account List call. The account-id is constant at least throughout the lifecycle of a given consent.

Get Balances › path Parameters

account-id
​accountId · required

This identification is denoting the addressed account. The accountId is retrieved by using a "Read Account List" call. The accountId is the "id" attribute of the account structure. Its value is constant at least throughout the lifecycle of a given consent.

This identification is denoting the addressed account, where the transaction has been performed.

Example: qwer3456tzui7890

Get Balances › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

Consent-ID
​consentId · required

The ID of the consent authorizing access to the PSU's account information.

ID of the corresponding consent object as returned by an Account Information Consent Request.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

X-ISO-Fallback-Enabled
​string · enum

If it equals "true", the TPP indicates that, once the specified consent expires, the PSU wishes to fetch account information via ISO 20022 for the ISO-onboarded accounts that were included in the consent creation.

This parameter should be included while the consent is valid and after it expires.

Enum values:
true
false

Get Balances › Responses

OK

Body of the response for a successful read balance for an account request.
readAccountBalanceResponse-200
​balance[] · required

A list of balances for the account. This list might be restricted to the current balance.

​accountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​tppMessage2XX[]
GET/psd2/accountinformation/v1/accounts/{account-id}/balances
curl https://api.openbankingplatform.com/psd2/accountinformation/v1/accounts/:account-id/balances \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'Consent-ID: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "balances": [ { "balanceType": "closingBooked", "balanceAmount": { "currency": "EUR", "amount": "500.00" }, "referenceDate": "2017-10-25" }, { "balanceType": "expected", "balanceAmount": { "currency": "EUR", "amount": "900.00" }, "lastChangeDateTime": "2017-10-25T15:30:35.035Z" } ] }
json
Response for a read balance request in case of a regular account.
application/json

Get Transaction List

GET
https://api.openbankingplatform.com
/psd2/accountinformation/v1/accounts/{account-id}/transactions

Retrieves transaction lists for an account specified by account-id, based on the bookingStatus parameter. For a given account, dateFrom and dateTo attributes can be included to filter the list. The ASPSP may add balance information if transaction lists without balances are not supported.

Get Transaction List › path Parameters

account-id
​accountId · required

This identification is denoting the addressed account. The accountId is retrieved by using a "Read Account List" call. The accountId is the "id" attribute of the account structure. Its value is constant at least throughout the lifecycle of a given consent.

This identification is denoting the addressed account, where the transaction has been performed.

Example: qwer3456tzui7890

Get Transaction List › query Parameters

bookingStatus
​string · enum · required

Booking status of the requested transactions. "booked" is always supported by the ASPSP. Supporting "pending" and "both" is optional for the ASPSP and an error code will be returned if not supported.

Enum values:
booked
pending
both
dateFrom
​string · date

Starting date of the transaction list. For booked transactions, this is the booking date. For pending transactions, this is the entry date, which may not be transparent in the API or other ASPSP channels.

dateTo
​string · date

End date of the transaction list. For booked transactions, this is the booking date. For pending transactions, this is the entry date, which may not be transparent in the API or other ASPSP channels.

entryReferenceFrom
​string

This data attribute is indicating that the AISP is in favour to get all transactions after the transaction with identification entryReferenceFrom alternatively to the above defined period. This is a implementation of a delta access. If this data element is contained, the entries "dateFrom" and "dateTo" might be ignored by the ASPSP if a delta report is supported.

Optional if supported by API provider.

Get Transaction List › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

Consent-ID
​consentId · required

The ID of the consent authorizing access to the PSU's account information.

ID of the corresponding consent object as returned by an Account Information Consent Request.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

X-ISO-Fallback-Enabled
​string · enum

If it equals "true", the TPP indicates that, once the specified consent expires, the PSU wishes to fetch account information via ISO 20022 for the ISO-onboarded accounts that were included in the consent creation.

This parameter should be included while the consent is valid and after it expires.

Enum values:
true
false

Get Transaction List › Responses

OK

Body of the JSON response for a successful read transaction list request. This account report contains transactions resulting from the query parameters.
transactionsResponse-200_json
​accountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
​accountReport

JSON based account report. This account report contains transactions resulting from the query parameters.

'booked' shall be contained if bookingStatus parameter is set to "booked" or "both".

'pending' is not contained if the bookingStatus parameter is set to "booked".

​balance[]

A list of balances for the account. This list might be restricted to the current balance.

​_linksDownload

A list of hyperlinks to be recognised by the TPP.

Type of links admitted in this response:

  • "download": a link to a resource, where the transaction report might be downloaded from in case where transaction reports have a huge size.

Remark: This feature shall only be used where camt-data is requested which has a huge size.

​tppMessage2XX[]
GET/psd2/accountinformation/v1/accounts/{account-id}/transactions
curl 'https://api.openbankingplatform.com/psd2/accountinformation/v1/accounts/:account-id/transactions?bookingStatus=<string>' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'Consent-ID: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'PSU-User-Agent: <string>' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "account": { "iban": "SE4550000000058398257466" }, "transactions": { "booked": [ { "transactionId": "1234567", "creditorName": "John Miles", "creditorAccount": { "iban": "FI2112345600000785" }, "transactionAmount": { "currency": "EUR", "amount": "256.67" }, "balanceAfterTransaction": { "balanceAmount": { "currency": "EUR", "amount": "14232.40" }, "balanceType": "interimBooked" }, "bookingDate": "2017-10-25", "valueDate": "2017-10-26", "remittanceInformationUnstructured": "Example 1" }, { "transactionId": "1234568", "debtorName": "Paul Simpson", "debtorAccount": { "iban": "FI2112345600000785" }, "transactionAmount": { "currency": "EUR", "amount": "343.01" }, "balanceAfterTransaction": { "balanceAmount": { "currency": "EUR", "amount": "14489.07" }, "balanceType": "interimBooked" }, "bookingDate": "2017-10-25", "valueDate": "2017-10-26", "remittanceInformationUnstructured": "Example 2", "_links": { "transactionDetails": { "href": "/psd2/accountinformation/v1/accounts/3dc3d5b3-7023-4848-9853-f5400a64e80f/transactions/1234568" } } } ], "pending": [ { "transactionId": "1234569", "creditorName": "Claude Renault", "creditorAccount": { "iban": "SE1412000000000012345678" }, "transactionAmount": { "currency": "EUR", "amount": "-100.03" }, "valueDate": "2017-10-26", "remittanceInformationUnstructured": "Example 3" } ], "_links": { "account": { "href": "/psd2/accountinformation/v1/accounts/3dc3d5b3-7023-4848-9853-f5400a64e80f" }, "next": { "href": "/psd2/accountinformation/v1/accounts/3dc3d5b3-7023-4848-9853-f5400a64e80f/transactions?bookingStatus=booked&dateFrom=2017-10-26&dateTo=2017-10-26&continuationKey=0x2mIm9dx0KMO6elpHIJkg" } } } }
json
Response in JSON format for an access on a regular account

Get Transaction Details

GET
https://api.openbankingplatform.com
/psd2/accountinformation/v1/accounts/{account-id}/transactions/{transactionId}

Retrieves details of a specific transaction identified by transactionId for the account specified by account-id. Only available for transactions reported in JSON format.

Note: The full path may already be provided in the _links subfield of the Get Transaction List response.

Get Transaction Details › path Parameters

account-id
​accountId · required

This identification is denoting the addressed account. The accountId is retrieved by using a "Read Account List" call. The accountId is the "id" attribute of the account structure. Its value is constant at least throughout the lifecycle of a given consent.

This identification is denoting the addressed account, where the transaction has been performed.

Example: qwer3456tzui7890
transactionId
​transactionId · required

This identification is given by the attribute transactionId of the corresponding entry of a transaction list.

This identification is given by the attribute transactionId of the corresponding entry of a transaction list.

Example: 3dc3d5b3-7023-4848-9853-f5400a64e80f

Get Transaction Details › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

Consent-ID
​consentId · required

The ID of the consent authorizing access to the PSU's account information.

ID of the corresponding consent object as returned by an Account Information Consent Request.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

X-ISO-Fallback-Enabled
​string · enum

If it equals "true", the TPP indicates that, once the specified consent expires, the PSU wishes to fetch account information via ISO 20022 for the ISO-onboarded accounts that were included in the consent creation.

This parameter should be included while the consent is valid and after it expires.

Enum values:
true
false

Get Transaction Details › Responses

OK

Transaction details
transactionDetailsWithTppMessages
​amount · required
transactionId
​string

the Transaction Id can be used as access-ID in the API, where more details on an transaction is offered. If this data attribute is provided this shows that the AIS can get access on more details about this transaction using the GET Transaction Details Request

entryReference
​string · maxLength: 35

Is the identification of the transaction as used e.g. for reference for deltafunction on application level. The same identification as for example used within camt.05x messages.

endToEndId
​string · maxLength: 35

Unique end to end identity.

mandateId
​string · maxLength: 35

Identification of Mandates, e.g. a SEPA Mandate ID.

checkId
​string · maxLength: 35

Identification of a Cheque.

creditorId
​string · maxLength: 35

Identification of Creditors, e.g. a SEPA Creditor ID.

bookingDate
​bookingDate · date

The Date when an entry is posted to an account on the ASPSPs books.

valueDate
​string · date

Date at which assets become available to the account owner in case of a credit.

​reportExchangeRate[]

Array of exchange rates

creditorName
​creditorName · maxLength: 70 · pattern: ^[A-Za-z0-9 ]{1,70}$

Creditor Name

Example: Creditor Name
​trnsCreditorAccountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN), or
  • Swedish Bankgiro number, or
  • Swedish Plusgiro number.
ultimateCreditor
​ultimateCreditor · maxLength: 70

Ultimate Creditor

Example: Ultimate Creditor
debtorName
​debtorName · maxLength: 70

Debtor Name

Example: Debtor Name
​accountReference

Reference to an account by either

  • IBAN, of a payment account, or
  • BBAN, for payment accounts if there is no IBAN, or
  • the Primary Account Number (PAN) of a card, can be tokenised by the ASPSP due to PCI DSS requirements, or
  • the Primary Account Number (PAN) of a card in a masked form, or
  • an alias to access a payment account via a registered mobile phone number (MSISDN).
ultimateDebtor
​ultimateDebtor · maxLength: 70

Ultimate Debtor

Example: Ultimate Debtor
remittanceInformationUnstructured
​remittanceInformationUnstructured · maxLength: 140

Unstructured remittance information

Example: Ref Number Merchant
remittanceInformationStructured
​string · maxLength: 140

Reference as contained in the structured remittance reference structure (without the surrounding XML structure).

Different from other places where the content is in plain form and not in form of a structured field.

additionalInformation
​string · maxLength: 512

Might be used by the ASPSP to transport additional transaction related information to the PSU.

purposeCode
​purposeCode · enum

ExternalPurpose1Code from ISO 20022. Values from ISO 20022 External Code List ExternalCodeSets_1Q2018 June 2018.

Enum values:
BKDF
BKFE
BKFM
BKIP
BKPP
CBLK
CDCB
CDCD
bankTransactionCode
​bankTransactionCode

Bank transaction code as used by the ASPSP, concatenating the three ISO 20022 Codes (Domain Code, Family Code, SubFamily Code).

Example: PMNT-RCDT-ESCT
proprietaryBankTransactionCode
​proprietaryBankTransactionCode · maxLength: 35

Proprietary bank transaction code as used within a community or within an ASPSP e.g. for MT94x based transaction reports.

transactionListId
​transactionListId

Generated from the transaction details per transaction, meaning that duplicates may occur for identical transactions on the same day with the same account balance at the transaction time. Only available fore transactions in booked state.

paymentId
​transactionPaymentId

Only available for transactions generated via the Open Banking Platform.

Resource identification of the generated payment initiation resource.

isEnriched
​isEnriched

A transaction that has additional data enriched. Data is sourced from a provider other than PSD2.

​_linksTransactionDetails

Transaction-specific links:

  • "transactionDetails": further details about the transaction, only available in some banks.
  • "proofOfPayment": link to a downloadable proof of payment document, only available for booked cross-border payments.
​transactionFee[]

Array of transaction fees

​tppMessage2XX[]
GET/psd2/accountinformation/v1/accounts/{account-id}/transactions/{transactionId}
curl https://api.openbankingplatform.com/psd2/accountinformation/v1/accounts/:account-id/transactions/:transactionId \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'Consent-ID: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "transactionId": "1234567", "creditorName": "John Miles", "creditorAccount": { "iban": "FI4950009420002319" }, "mandateId": "Mandate-2018-04-20-1234", "transactionAmount": { "currency": "EUR", "amount": "-256.67" }, "bookingDate": "2017-10-25", "valueDate": "2017-10-26", "remittanceInformationUnstructured": "Example 1", "bankTransactionCode": "PMNT-RCVD-ESDD" }
json
Example for transaction details
application/json

Get Card Account List

GET
https://api.openbankingplatform.com
/psd2/accountinformation/v1/card-accounts

Retrieves information on all available card accounts based on the PSU's granted consent. It assumes that consent has already been provided and stored by the ASPSP. The addressed list of card accounts depends on the PSU-ID and the stored consent addressed by consentId, respectively the OAuth2 access token. The card accounts returned are limited to those authorised in the consent. Each card account entry includes relevant details and links to further resources such as balances and transactions. If the consent permits access to all available card accounts, the response will include all of the PSU's card accounts held at the ASPSP.

Get Card Account List › query Parameters

withBalance
​boolean

If "true", the list of accessible payment accounts is retrieved including balances, if granted by the PSU in the related consent and if made available by the ASPSP.

Get Card Account List › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

Consent-ID
​consentId · required

The ID of the consent authorizing access to the PSU's account information.

ID of the corresponding consent object as returned by an Account Information Consent Request.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Card Account List › Responses

OK

List of card accounts with details.
cardAccountList
​cardAccountDetails[] · required
GET/psd2/accountinformation/v1/card-accounts
curl https://api.openbankingplatform.com/psd2/accountinformation/v1/card-accounts \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'Consent-ID: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "cardAccounts": [ { "resourceId": "3d9a81b3-a47d-4130-8765-a9c0ff861b99", "maskedPan": "525412******3241", "currency": "EUR", "name": "Main", "product": "Basic Credit", "status": "enabled", "creditLimit": { "currency": "EUR", "amount": "15000" }, "balances": [ { "balanceType": "interimBooked", "balanceAmount": { "currency": "EUR", "amount": "14355.78" } }, { "balanceType": "nonInvoiced", "balanceAmount": { "currency": "EUR", "amount": "4175.86" } } ], "_links": { "transactions": { "href": "/psd2/accountinformation/v1/card-accounts/3d9a81b3-a47d-4130-8765-a9c0ff861b99/transactions" } } } ] }
json
Card account list example
application/json

Get Card Account Details

GET
https://api.openbankingplatform.com
/psd2/accountinformation/v1/card-accounts/{account-id}

Reads details about a card account, with balances where required. It is assumed that a consent of the PSU to this access is already given and stored on the ASPSP system. The addressed details of this card account depends then on the stored consent addressed by consentId, respectively the OAuth2 access token.

NOTE: The account-id can represent a multicurrency card account. In this case the currency code is set to "XXX".

Get Card Account Details › path Parameters

account-id
​accountId · required

This identification is denoting the addressed account. The accountId is retrieved by using a "Read Account List" call. The accountId is the "id" attribute of the account structure. Its value is constant at least throughout the lifecycle of a given consent.

This identification is denoting the addressed account, where the transaction has been performed.

Example: qwer3456tzui7890

Get Card Account Details › query Parameters

withBalance
​boolean

If "true", the list of accessible payment accounts is retrieved including balances, if granted by the PSU in the related consent and if made available by the ASPSP.

Get Card Account Details › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

Consent-ID
​consentId · required

The ID of the consent authorizing access to the PSU's account information.

ID of the corresponding consent object as returned by an Account Information Consent Request.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Card Account Details › Responses

OK

Card account details.
cardAccountDetails
maskedPan
​maskedPan · maxLength: 35 · required

Masked Primary Account Number.

Example: 123456xxxxxx1234
currency
​currencyCode · pattern: [A-Z]{3} · required

ISO 4217 Alpha 3 currency code.

Example: EUR
resourceId
​string

This is the data element to be used in the path when retrieving data from a dedicated account. This shall be filled, if addressable resource are created by the ASPSP on the /card-accounts endpoint.

ownerName
​ownerName · maxLength: 140

Name of the legal account owner. If there is more than one owner, then e.g. two names might be noted here.

For a corporate account, the corporate name is used for this attribute. Even if supported by the ASPSP, the provision of this field might depend on the fact whether an explicit consent to this specific additional account information has been given by the PSU.

Example: John Doe
name
​string · maxLength: 70

Name of the account, as assigned by the ASPSP, in agreement with the account owner in order to provide an additional means of identification of the account.

displayName
​displayName · maxLength: 70

Name of the account as defined by the PSU within online channels.

product
​string · maxLength: 35

Product Name of the Bank for this account, proprietary definition.

debitAccounting
​debitAccounting

If true, the amounts of debits on the reports are quoted positive with the related consequence for balances. If false, the amount of debits on the reports are quoted negative.

status
​accountStatus · enum

Account status. The value is one of the following:

  • "enabled": account is available
  • "deleted": account is terminated
  • "blocked": account is blocked e.g. for legal reasons If this field is not used, than the account is available in the sense of this specification.
Enum values:
enabled
deleted
blocked
usage
​string · enum · maxLength: 4

Specifies the usage of the account:

  • PRIV: private personal account
  • ORGA: professional account
Enum values:
PRIV
ORGA
details
​string · maxLength: 1000

Specifications that might be provided by the ASPSP:

  • characteristics of the account
  • characteristics of the relevant card
​amount
​balance[]

A list of balances for the account. This list might be restricted to the current balance.

​_linksAccountDetails

Links to the account, which can be directly used for retrieving account information from this dedicated account.

Links to "balances" and/or "transactions"

These links are only supported, when the corresponding consent has been already granted.

GET/psd2/accountinformation/v1/card-accounts/{account-id}
curl https://api.openbankingplatform.com/psd2/accountinformation/v1/card-accounts/:account-id \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'Consent-ID: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "cardAccount": { "resourceId": "3d9a81b3-a47d-4130-8765-a9c0ff861b99", "maskedPan": "525412******3241", "currency": "EUR", "name": "Main", "product": "Basic Credit", "status": "enabled", "creditLimit": { "currency": "EUR", "amount": "15000" }, "balances": [ { "balanceType": "interimBooked", "balanceAmount": { "currency": "EUR", "amount": "14355.78" } }, { "balanceType": "nonInvoiced", "balanceAmount": { "currency": "EUR", "amount": "4175.86" } } ], "_links": { "transactions": { "href": "/psd2/accountinformation/v1/card-accounts/3d9a81b3-a47d-4130-8765-a9c0ff861b99/transactions" } } } }
json
Card account details example
application/json

Get Card Balances

GET
https://api.openbankingplatform.com
/psd2/accountinformation/v1/card-accounts/{account-id}/balances

Retrieves balance data from a given card account addressed by account-id.

Note: The account-id may be a tokenized identification due to data protection reasons since the path information might be logged on intermediary servers within the ASPSP sphere. This account-id can then be retrieved by the Get Card Account List call. The account-id is constant at least throughout the lifecycle of a given consent.

Get Card Balances › path Parameters

account-id
​accountId · required

This identification is denoting the addressed account. The accountId is retrieved by using a "Read Account List" call. The accountId is the "id" attribute of the account structure. Its value is constant at least throughout the lifecycle of a given consent.

This identification is denoting the addressed account, where the transaction has been performed.

Example: qwer3456tzui7890

Get Card Balances › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

Consent-ID
​consentId · required

The ID of the consent authorizing access to the PSU's account information.

ID of the corresponding consent object as returned by an Account Information Consent Request.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Card Balances › Responses

OK

Body of the response for a successful read balance for a card account request.
readCardAccountBalanceResponse-200
​balance[] · required

A list of balances for the account. This list might be restricted to the current balance.

​cardAccountDetails

Card account details.

​tppMessage2XX[]
GET/psd2/accountinformation/v1/card-accounts/{account-id}/balances
curl https://api.openbankingplatform.com/psd2/accountinformation/v1/card-accounts/:account-id/balances \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'Consent-ID: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "cardAccount": { "maskedPan": "525412******3241" }, "balances": [ { "balanceType": "interimBooked", "balanceAmount": { "currency": "EUR", "amount": "14355.78" } }, { "balanceType": "nonInvoiced", "balanceAmount": { "currency": "EUR", "amount": "4175.86" } } ] }
json
Response in case of card Acoount balance request
application/json

Get Card Transaction List

GET
https://api.openbankingplatform.com
/psd2/accountinformation/v1/card-accounts/{account-id}/transactions

Retrieves transaction lists for a card account specified by account-id, based on the bookingStatus parameter. For a given account, dateFrom and dateTo attributes can be included to filter the list. The ASPSP may add balance information if transaction lists without balances are not supported.

Get Card Transaction List › path Parameters

account-id
​accountId · required

This identification is denoting the addressed account. The accountId is retrieved by using a "Read Account List" call. The accountId is the "id" attribute of the account structure. Its value is constant at least throughout the lifecycle of a given consent.

This identification is denoting the addressed account, where the transaction has been performed.

Example: qwer3456tzui7890

Get Card Transaction List › query Parameters

bookingStatus
​string · enum · required

Booking status of the requested transactions. "booked" is always supported by the ASPSP. Supporting "pending" and "both" is optional for the ASPSP and an error code will be returned if not supported.

Enum values:
booked
pending
both
dateFrom
​string · date

Starting date of the transaction list. For booked transactions, this is the booking date. For pending transactions, this is the entry date, which may not be transparent in the API or other ASPSP channels.

dateTo
​string · date

End date of the transaction list. For booked transactions, this is the booking date. For pending transactions, this is the entry date, which may not be transparent in the API or other ASPSP channels.

entryReferenceFrom
​string

This data attribute is indicating that the AISP is in favour to get all transactions after the transaction with identification entryReferenceFrom alternatively to the above defined period. This is a implementation of a delta access. If this data element is contained, the entries "dateFrom" and "dateTo" might be ignored by the ASPSP if a delta report is supported.

Optional if supported by API provider.

Get Card Transaction List › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

X-BicFi
​string · pattern: [A-Z]{6,6}[A-Z2-9][A… · required

Unique ID of the financial institution. For Banks this is the same as the SWIFT code, i.e. SWEDSESS for Swedbank SE.

Example: AAAASEBB
PSU-ID
​string · required

Client ID of the PSU in the ASPSP client interface. This is typically a local social security number or another unique login ID.

Consent-ID
​consentId · required

The ID of the consent authorizing access to the PSU's account information.

ID of the corresponding consent object as returned by an Account Information Consent Request.

PSU-IP-Address
​string · ipv4 · required

The IP address of the PSU from the HTTP request between the PSU and the TPP.

TPP-Redirect-Preferred
​string · enum · required

If it equals "true", the TPP prefers a redirect over an embedded SCA approach. If it equals "false", the TPP prefers not to be redirected for SCA. The ASPSP may not support both types.

Enum values:
true
false
PSU-User-Agent
​string · required

The Agent header from the HTTP request between the PSU and the TPP, identifying the browser used by the PSU.

PSU-Corporate-ID
​string

Corporate Client ID for the ASPSP. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL. Mandatory in the corporate scope.

PSU-Corporate-ID-Type
​string

Might be mandated in the ASPSP's documentation. Only used in a corporate context.

Get Card Transaction List › Responses

OK

Body of the JSON response for a successful read card account transaction list request. This card account report contains transactions resulting from the query parameters.
cardAccountsTransactionsResponse200
​cardAccountDetails

Card account details.

​cardAccountReport

JSON based card account report.

This card account report contains transactions resulting from the query parameters.

​balance[]

A list of balances for the account. This list might be restricted to the current balance.

​_linksDownload

A list of hyperlinks to be recognised by the TPP.

Type of links admitted in this response:

  • "download": a link to a resource, where the transaction report might be downloaded from in case where transaction reports have a huge size.

Remark: This feature shall only be used where camt-data is requested which has a huge size.

​tppMessage2XX[]
GET/psd2/accountinformation/v1/card-accounts/{account-id}/transactions
curl 'https://api.openbankingplatform.com/psd2/accountinformation/v1/card-accounts/:account-id/transactions?bookingStatus=<string>' \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'X-BicFi: <string>' \ --header 'PSU-ID: 199002092386' \ --header 'Consent-ID: <string>' \ --header 'PSU-IP-Address: 192.168.8.78' \ --header 'TPP-Redirect-Preferred: <string>' \ --header 'PSU-User-Agent: <string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "cardAccount": { "resourceId": "resourceId", "maskedPan": "123456xxxxxx1234", "currency": "EUR", "ownerName": "John Doe", "name": "name", "displayName": "displayName", "product": "product", "debitAccounting": true, "status": "enabled", "usage": "PRIV", "details": "details", "creditLimit": { "currency": "EUR", "amount": "123" }, "balances": [ { "balanceAmount": { "currency": "EUR", "amount": "123" }, "balanceType": "closingBooked", "creditLimitIncluded": false, "lastChangeDateTime": "2024-08-25T15:00:00Z", "referenceDate": "2024-08-25", "lastCommittedTransaction": "lastCommittedTransaction", "clearingNumber": "5392" } ], "_links": { "balances": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" }, "transactions": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" } } }, "cardTransactions": { "booked": [ { "cardTransactionId": "cardTransactionId", "terminalId": "terminalId", "transactionDate": "2024-08-25", "bookingDate": "2024-08-25", "transactionAmount": { "currency": "EUR", "amount": "123" }, "currencyExchange": [ { "sourceCurrency": "EUR", "exchangeRate": "exchangeRate", "unitCurrency": "unitCurrency", "targetCurrency": "EUR", "quotationDate": "2024-08-25", "contractIdentification": "contractIdentification" } ], "originalAmount": { "currency": "EUR", "amount": "123" }, "markupFee": { "currency": "EUR", "amount": "123" }, "markupFeePercentage": "0.3", "cardAcceptorId": "cardAcceptorId", "cardAcceptorAddress": { "street": "rue blue", "buildingNumber": "89", "city": "Paris", "postalCode": "75000", "country": "FR" }, "merchantCategoryCode": "merchantCategoryCode", "maskedPAN": "123456xxxxxx1234", "transactionDetails": "transactionDetails", "invoiced": true, "proprietaryBankTransactionCode": "proprietaryBankTransactionCode" } ], "pending": [ { "cardTransactionId": "cardTransactionId", "terminalId": "terminalId", "transactionDate": "2024-08-25", "bookingDate": "2024-08-25", "transactionAmount": { "currency": "EUR", "amount": "123" }, "currencyExchange": [ { "sourceCurrency": "EUR", "exchangeRate": "exchangeRate", "unitCurrency": "unitCurrency", "targetCurrency": "EUR", "quotationDate": "2024-08-25", "contractIdentification": "contractIdentification" } ], "originalAmount": { "currency": "EUR", "amount": "123" }, "markupFee": { "currency": "EUR", "amount": "123" }, "markupFeePercentage": "0.3", "cardAcceptorId": "cardAcceptorId", "cardAcceptorAddress": { "street": "rue blue", "buildingNumber": "89", "city": "Paris", "postalCode": "75000", "country": "FR" }, "merchantCategoryCode": "merchantCategoryCode", "maskedPAN": "123456xxxxxx1234", "transactionDetails": "transactionDetails", "invoiced": true, "proprietaryBankTransactionCode": "proprietaryBankTransactionCode" } ], "_links": { "cardAccount": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" }, "first": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" }, "next": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" }, "previous": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" }, "last": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" } } }, "balances": [ { "balanceAmount": { "currency": "EUR", "amount": "123" }, "balanceType": "closingBooked", "creditLimitIncluded": false, "lastChangeDateTime": "2024-08-25T15:00:00Z", "referenceDate": "2024-08-25", "lastCommittedTransaction": "lastCommittedTransaction", "clearingNumber": "5392" } ], "_links": { "download": { "href": "/v1/payments/sepa-credit-transfers/1234-wertiq-983" } }, "tppMessages": [ { "category": "INFORMATION", "code": "code", "path": "path", "text": "text" } ] }
json
application/json

Consent ServicePayment Initiation Service (PIS)